Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 339345 - app-text/pdftk-1.41-r1 doesn't link with gcc-4.5.1
Summary: app-text/pdftk-1.41-r1 doesn't link with gcc-4.5.1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Printing Team
URL: http://aur.archlinux.org/packages/pdf...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-01 12:21 UTC by Michael Weber (RETIRED)
Modified: 2010-11-27 22:16 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weber (RETIRED) gentoo-dev 2010-10-01 12:21:45 UTC
There is a problem building it with newer gcc. There's a fix in aur.
I'll commit a ebuild patch in after successful combination.
Comment 1 Michael Weber (RETIRED) gentoo-dev 2010-10-01 13:13:48 UTC
michael@io pdftk % diff -ru pdftk-1.41-r1.ebuild pdftk-1.41-r2.ebuild 
--- pdftk-1.41-r1.ebuild        2010-07-09 11:25:37.000000000 +0200
+++ pdftk-1.41-r2.ebuild        2010-10-01 15:01:47.210275954 +0200
@@ -4,40 +4,51 @@
 
 EAPI="2"
 
-inherit eutils
+inherit eutils toolchain-funcs
 
 DESCRIPTION="A tool for manipulating PDF documents"
 HOMEPAGE="http://www.pdfhacks.com/pdftk"
-SRC_URI="http://www.pdfhacks.com/pdftk/${P}.tar.gz"
+SRC_URI="http://www.pdfhacks.com/pdftk/${P}.tar.gz
+       http://aur.archlinux.org/packages/pdftk/pdftk/makefile.patch -> ${P}-makefile.patch"
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="amd64 ppc x86"
+KEYWORDS="~amd64 ~ppc ~x86"
 IUSE="nodrm"
 DEPEND=">=sys-devel/gcc-4.3.1[gcj]"
 
 S="${WORKDIR}/${P}/${PN}"
 
-src_unpack() {
-       unpack ${A}
-
+src_prepare() {
+       cd "${WORKDIR}" || die
        #bug #225709 and #251796
        epatch "${FILESDIR}/${P}-gcc-4.3.patch"
        #bug #269312
        epatch "${FILESDIR}/${P}-gcc-4.4.patch"
        #bug #209802
        epatch "${FILESDIR}/${P}-honor-ldflags.patch"
+
+       cd "${S}/../" || die
+       #bug 339345
+       epatch "${DISTDIR}/${P}-makefile.patch"
+
        # force usage of custom CFLAGS.
        sed -iorig 's:-O2:\$(CFLAGS):g' "${S}"/Makefile.Generic
        # nodrm patch, bug 296455
        if use nodrm; then
                sed -i 's:passwordIsOwner= false:passwordIsOwner= true:' "${WORKDIR}/${P}"/java_libs/com/lowagie/text/pdf/PdfReader.java || die
        fi
+
+       sed -i -e '/^export GCJ=/d' -e '/^export GCJH=/d' "${WORKDIR}"/${P}/${PN}/Makefile.Generic || die
 }
 
 src_compile() {
        # java-config settings break compilation by gcj.
        unset CLASSPATH
        unset JAVA_HOME
+
+       tc-export GCJ
+       export GCJH="${GCJ}"h
+
        # parallel make fails
        emake -j1 -f Makefile.Generic || die "Compilation failed."
 }
Comment 2 tman 2010-11-27 08:37:01 UTC
i can confirm this priblem too and i hope it get a bum soon portage
Comment 3 David Abbott (RETIRED) gentoo-dev 2010-11-27 09:14:28 UTC
Can someone try =app-text/pdftk-1.44
bug 343361
Comment 4 Michael Weber (RETIRED) gentoo-dev 2010-11-27 22:16:36 UTC
+*pdftk-1.41-r2 (27 Nov 2010)
+
+  27 Nov 2010; Michael Weber <xmw@gentoo.org> +pdftk-1.41-r2.ebuild,
+  +pdftk-1.44.ebuild, +files/pdftk-1.44-LDFLAGS.patch,
+  +files/pdftk-1.44-Makefile.patch:
+  Revision bump to fix gcc:4.5 problems (bug 339345).
+